# gfs_glob

## Name

gfs_glob -- find path names matching a pattern

## Synopsis

    #include <gfarm/gfarm.h>

```char *gfs_glob``(const char * `pattern`, gfarm_stringlist * `paths`, gfs_glob_t * `types`);`

## DESCRIPTION

`gfs_glob()` searches for all the path names matching `pattern` that may include a wildcard, and returns `paths`.

The returned path names are accessed by gfarm_stringlist_length(3) and gfarm_stringlist_elem(3).

It is necessary to allocate memory space dynamically pointed to by `types` using `gfs_glob_init(3)` before calling `gfs_glob(3)`. The allocated memory space needs to be free'ed by gfs_glob_free(3).

## RETURN VALUES

`NULL`

  The function terminated successfully.

`GFARM_ERR_NO_MEMORY`

  Insufficient memory was available.

`GFARM_ERR_PATHNAME_TOO_LONG`

  Too long pattern or path name to process.

Others

  An error except the above occurred. The reason is shown by its pointed strings.

## SEE ALSO

gfs_glob_init(3) gfs_glob_free(3) gfarm_stringlist_init(3) gfarm_stringlist_length(3) gfarm_stringlist_elem(3) gfarm_stringlist_free(3) gfarm_stringlist_free_deeply(3)